net.sf.cpsolver.ifs.util

## Class CSVFile.CSVField

- java.lang.Object
- - net.sf.cpsolver.ifs.util.CSVFile.CSVField

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CSVFile

      public static class CSVFile.CSVField
      extends Object
      implements Serializable

  Representation of a field of a CSV file
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVField(boolean field)`
    `CSVField(double field)`
    `CSVField(float field)`
    `CSVField(int field)`
    `CSVField(long field)`
    `CSVField(Object field)`
    `CSVField(String field, String quotationMark)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEmpty()`
    `void` | `set(boolean value)`
    `void` | `set(double value)`
    `void` | `set(float value)`
    `void` | `set(int value)`
    `void` | `set(long value)`
    `void` | `set(Object value)`
    `boolean` | `toBoolean()`
    `Date` | `toDate()`
    `double` | `toDouble()`
    `double` | `toDouble(double defaultValue)`
    `int` | `toInt()`
    `int` | `toInt(int defaultValue)`
    `long` | `toLong()`
    `long` | `toLong(long defaultValue)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVField

          public CSVField(String field,
                          String quotationMark)

    - #### CSVField

          public CSVField(Object field)

    - #### CSVField

          public CSVField(int field)

    - #### CSVField

          public CSVField(boolean field)

    - #### CSVField

          public CSVField(double field)

    - #### CSVField

          public CSVField(long field)

    - #### CSVField

          public CSVField(float field)

  - ### Method Detail

    - #### set

          public void set(Object value)

    - #### set

          public void set(int value)

    - #### set

          public void set(boolean value)

    - #### set

          public void set(double value)

    - #### set

          public void set(long value)

    - #### set

          public void set(float value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isEmpty

          public boolean isEmpty()

    - #### toInt

          public int toInt()

    - #### toInt

          public int toInt(int defaultValue)

    - #### toLong

          public long toLong()

    - #### toLong

          public long toLong(long defaultValue)

    - #### toDouble

          public double toDouble()

    - #### toDouble

          public double toDouble(double defaultValue)

    - #### toDate

          public Date toDate()

    - #### toBoolean

          public boolean toBoolean()